SuperCollider CLASSES (extension)
Libraries>BBCut

# CutBuf1

BBCut2 buffer playback, efficient but inflexible
Source: /Users/zzk/Library/Application Support/SuperCollider/downloaded-quarks/BBCut/classes/cutsynths/CutBuf1.sc
Inherits from: CutSynth : Object
See also: BBCut

## Description

Playback for a buffer, using a single fixed PlayBuf UGen with jump in playback position- cheap for CPU but no enveloping, so it may click, and no individual parameters for different grains are supported.

## Class Methods

### *new (bbcutbuf, offset)

#### Arguments:

bbcutbuf | An instance of BBCutBuffer representing the buffer to be cut-up.
offset | A parameter to be passed to any cut playback position determining routine. The default chooseoffset method is in BBCutBuffer and the parameter is a single number from 0.0 to 1.0 giving the chance of a jump to a random event in the source.

### Inherited class methods

## Instance Methods

### Inherited instance methods

### Undocumented instance methods

### -bbcutbuf

### -bbcutbuf = value

### -free

### -initCutBuf1 (bcb, off)

### -offset

### -offset = value

### -renderBlock (block, clock)

### -setup

## Examples

    (
    var sf, clock;

    clock= ExternalClock(TempoClock(2.1));

    clock.play;

    Routine.run({

    sf= BBCutBuffer(Platform.resourceDir +/+ "sounds/break.aiff",8);

    s.sync; //this forces a wait for the Buffer to load

    //0.3.coin chance of random offset starting position for cut playback
    BBCut2(CutBuf1(sf,0.3), BBCutProc11.new).play(clock);
    });

    )

helpfile source: /Users/zzk/Library/Application Support/SuperCollider/downloaded-quarks/BBCut/HelpSource/Classes/CutBuf1.schelp
link::Classes/CutBuf1::
sc version: 3.8.0